Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.router
Enum WaitingQueueType

    java.lang.Object
      java.lang.Enum<WaitingQueueType>
          umontreal.iro.lecuyer.contactcenters.router.WaitingQueueType

All Implemented Interfaces:
  Serializable, Comparable<WaitingQueueType>

    public enum WaitingQueueType

extends Enum<WaitingQueueType>

Represent possible roles of waiting queues for routing policies.

Enum Constant Summary
`AGENTGROUP` When this type is used, there must be one waiting queue for each agent group.
`CONTACTTYPE` When this type is used, there must be one waiting queue for each contact type.
`GENERAL` Used when the waiting queues do not correspond to the schemes described by `CONTACTTYPE` or `AGENTGROUP`.

Method Summary
`static WaitingQueueType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WaitingQueueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTACTTYPE

    public static final WaitingQueueType CONTACTTYPE

  When this type is used, there must be one waiting queue for each contact type. More specifically, waiting queue k, for k = 0,…, K - 1, contains only contacts of type k, where K is the total number of contact types.

### AGENTGROUP

    public static final WaitingQueueType AGENTGROUP

  When this type is used, there must be one waiting queue for each agent group. More specifically, waiting queue i, for i = 0,…, I - 1, contains only contacts that are to be served by agents in group i, where I is the total number of agent groups.

### GENERAL

    public static final WaitingQueueType GENERAL

  Used when the waiting queues do not correspond to the schemes described by `CONTACTTYPE` or `AGENTGROUP`.

Method Detail

### values

    public static WaitingQueueType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WaitingQueueType c : WaitingQueueType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WaitingQueueType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.